package org.diagbot.nlp.test;

import org.diagbot.nlp.participle.ParticipleToken;
import org.diagbot.nlp.participle.ParticipleUtil;
import org.diagbot.nlp.participle.cfg.Configuration;
import org.diagbot.nlp.participle.cfg.DefaultConfig;
import org.diagbot.nlp.participle.word.Lexeme;
import org.diagbot.nlp.participle.word.LexemePath;
import org.diagbot.nlp.participle.word.Segment;

import java.io.BufferedReader;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.StringReader;
import java.util.List;

/**
 * @Auther: fyeman
 * @Date: 2018/6/11/011 10:45
 * @Description:
 */
public class ParticipleTest {
    public static void main(String[] args) {
        try {
            String content = "剑突下痛胀痛1天。1天前进食后出现剑突下疼痛，无恶心呕吐，无腹胀，无发热，当地医院查，WBC 10.5(3.5-9.5，amy76.8（1-220），" +
                    "心电图、腹部平扫CT均未见明显异常，既往高血压。";
            ParticipleTest test = new ParticipleTest();
//            InputStream is = test.getClass().getClassLoader().getResourceAsStream("present.txt");
//            BufferedReader br = new BufferedReader(new InputStreamReader(is, "UTF-8"), 512);
//
//            String line="";
//            StringBuffer  buffer = new StringBuffer();
//            while((line=br.readLine())!=null){
//                buffer.append(line);
//            }
//            content = buffer.toString();

            long start = System.currentTimeMillis();

//            Configuration configuration = new DefaultConfig();
//            Segment segment = configuration.loadMainDict("tc.dict");

            List<Lexeme> lexemes = ParticipleUtil.participle(content, true);
            String result = "";
            for (Lexeme lexeme : lexemes) {
                if (lexeme.getOffset() > -1) {
                    result = result + " | " + lexeme.getText();
                }
            }
//            ParticipleToken token = new ParticipleToken();
//            token.start(new StringReader(content), segment);
//            LexemePath<Lexeme> lexemePath = token.getLexemePath();
//            token.end();
//
//            long end = System.currentTimeMillis();
//
//            System.out.println("总耗时..........." + (start - end));
//
//            String result = "";
//            for (Lexeme lexeme : lexemePath) {
//                if (lexeme.getOffset() > -1) {
//                        result = result + " | " + lexeme.getText();
//                }
//            }
            System.out.println(result);
        } catch (Exception e) {
            e.printStackTrace();
        }

    }
}
